Skip to content

Update Leverage​

PUT
/v1/margin/leverage/{currencypair}

Allows the user to update their leverage for a specified currency pair, to one of the available leverage options.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters​

Path Parameters

currencypair*

The currency pair for which to update the leverage (e.g., BTCZARPERP, ETHUSDTPERP)

Type
string
Required

Request Body​

application/json
JSON
{
"leverageMultiple": 10
}

Responses​

Leverage update accepted

Playground​

Authorization
Variables
Key
Value
Body

Samples​